Lista os eventos do cliente de um período
GET/v2/events
Do mais recente para o mais antigo, com a atribuição de cada um. Permissão: contacts:read.
Parameters
| Field | In | Type | Description |
|---|---|---|---|
fromrequired | query | string · date-time | |
torequired | query | string · date-time | |
nameoptional | query | string | |
contactIdoptional | query | string | |
limitoptional | query | integer |
Responses
200Default ResponseResponse fields and example
Field Type Description itemsrequiredobject[]items[].idrequiredstringitems[].namerequiredstringitems[].eventIdrequiredstringitems[].contactIdoptionalstringitems[].contactExternalIdoptionalstringitems[].occurredAtrequiredstringitems[].valueoptionalnumberitems[].currencyoptionalstringitems[].propertiesoptionalobjectMetadados de correlação do seu sistema (ex.: customerId, journeyId), devolvidos intactos em todo webhook desta mensagem. Até 20 chaves; chave começa por letra e usa [A-Za-z0-9_.-] (até 64); valor é texto (até 256), número ou booleano. Não envie dado pessoal aqui. items[].attributionrequiredobject | nullitems[].attribution.messageIdrequiredstringitems[].attribution.channelrequiredstringValues: whatsappsmsrcsemailitems[].attribution.campaignIdoptionalstringitems[].attribution.sentAtrequiredstringitems[].attribution.horasAteOEventorequirednumberitems[].attribution.journeyIdoptionalstringitems[].attribution.journeyStepIdoptionalstringitems[].attribution.journeyRunIdoptionalstringitems[].duplicaterequiredbooleanJSON{ "items": [ { "id": "string", "name": "string", "eventId": "string", "contactId": "string", "contactExternalId": "string", "occurredAt": "string", "value": 0, "currency": "string", "properties": {}, "attribution": { "messageId": "string", "channel": "whatsapp", "campaignId": "string", "sentAt": "string", "horasAteOEvento": 0, "journeyId": "string", "journeyStepId": "string", "journeyRunId": "string" }, "duplicate": true } ]}
400RFC 7807 problem details for BAD_REQUEST (400).401RFC 7807 problem details for UNAUTHORIZED (401).403RFC 7807 problem details for FORBIDDEN (403).
Error responses follow RFC 7807 (application/problem+json), with a stable code in the code field. See the error codes
curl example
curl 'https://api.messages.ccxcompany.co/v2/events?from=2026-10-16T12%3A00%3A00.000Z&to=2026-10-16T12%3A00%3A00.000Z' \ -H "Authorization: Bearer $CCX_API_KEY"